Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.plan
Class HtmlPlanWriter

    java.lang.Object
      ix.iface.plan.HtmlPlanWriter

    public class HtmlPlanWriter

extends java.lang.Object

Writes an HTML description of a plan to a file.

Nested Class Summary
`(package private) class` | `HtmlPlanWriter.TIVisitor`

Field Summary
`(package private) java.io.Writer` | `out`
`(package private) java.io.File` | `outputFile`
`(package private) java.util.LinkedList` | `tagContext`

Constructor Summary
`HtmlPlanWriter(java.io.File f)`

Method Summary
`(package private) void` | `closeTag(java.lang.String tag)`
`(package private) void` | `out(java.lang.Object o)`
`(package private) void` | `out(java.lang.String s)`
`(package private) void` | `outActivities(Plan plan)`
`(package private) void` | `outAnnotations(Plan plan)`
`(package private) void` | `outIssues(Plan plan)`
`(package private) void` | `outln(java.lang.String line)`
`(package private) void` | `outPlan(Plan plan)`
`(package private) void` | `outTag(java.lang.String tag)`
`(package private) void` | `outTag(java.lang.String tag, java.lang.String attributes)`
`(package private) void` | `outTaskItem(TaskItem ti)`
`(package private) void` | `outWorldState(Plan plan)`
`(package private) void` | `tagln(java.lang.String tag, java.lang.String contents)`
`void` | `writePlan(Plan plan)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputFile

    java.io.File outputFile

### out

    java.io.Writer out

### tagContext

    java.util.LinkedList tagContext

Constructor Detail

### HtmlPlanWriter

    public HtmlPlanWriter(java.io.File f)

Method Detail

### writePlan

    public void writePlan(Plan plan)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### outPlan

    void outPlan(Plan plan)

### outIssues

    void outIssues(Plan plan)

### outActivities

    void outActivities(Plan plan)

### outTaskItem

    void outTaskItem(TaskItem ti)

### outWorldState

    void outWorldState(Plan plan)

### outAnnotations

    void outAnnotations(Plan plan)

### outTag

    void outTag(java.lang.String tag)

### outTag

    void outTag(java.lang.String tag,
                java.lang.String attributes)

### closeTag

    void closeTag(java.lang.String tag)

### tagln

    void tagln(java.lang.String tag,
               java.lang.String contents)

### out

    void out(java.lang.String s)

### out

    void out(java.lang.Object o)

### outln

    void outln(java.lang.String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD